using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace SampleBlazor.Models.Sample
{
  [Table("Orders", Schema = "dbo")]
  public partial class Order
  {
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Order_ID
    {
      get;
      set;
    }

    public ICollection<OrderDetail> OrderDetails { get; set; }
    public string UserName
    {
      get;
      set;
    }
    public DateTime OrderDate
    {
      get;
      set;
    }
    public DateTime? DateTime
    {
      get;
      set;
    }
  }
}
